# Record Class AdkWebCorsProperties

java.lang.Object
java.lang.Record
com.google.adk.web.config.AdkWebCorsProperties

@ConfigurationProperties(prefix="adk.web.cors") public record AdkWebCorsProperties(String mapping, List<String> origins, List<String> methods, List<String> headers, boolean allowCredentials, long maxAge) extends Record
Properties for configuring CORS in ADK Web. This class is used to load CORS settings from application properties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdkWebCorsProperties(String mapping, List<String> origins, List<String> methods, List<String> headers, boolean allowCredentials, long maxAge)`
  Creates an instance of a `AdkWebCorsProperties` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `allowCredentials()`
  Returns the value of the `allowCredentials` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `List<String>`
  `headers()`
  Returns the value of the `headers` record component.
  `String`
  `mapping()`
  Returns the value of the `mapping` record component.
  `long`
  `maxAge()`
  Returns the value of the `maxAge` record component.
  `List<String>`
  `methods()`
  Returns the value of the `methods` record component.
  `List<String>`
  `origins()`
  Returns the value of the `origins` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AdkWebCorsProperties

    public AdkWebCorsProperties(String mapping, List<String> origins, List<String> methods, List<String> headers, boolean allowCredentials, long maxAge)
    Creates an instance of a `AdkWebCorsProperties` record class.
    Parameters:
      `mapping` - the value for the `mapping` record component
      `origins` - the value for the `origins` record component
      `methods` - the value for the `methods` record component
      `headers` - the value for the `headers` record component
      `allowCredentials` - the value for the `allowCredentials` record component
      `maxAge` - the value for the `maxAge` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### mapping

    public String mapping()
    Returns the value of the `mapping` record component.
    Returns:
      the value of the `mapping` record component

  - ### origins

    public List<String> origins()
    Returns the value of the `origins` record component.
    Returns:
      the value of the `origins` record component

  - ### methods

    public List<String> methods()
    Returns the value of the `methods` record component.
    Returns:
      the value of the `methods` record component

  - ### headers

    public List<String> headers()
    Returns the value of the `headers` record component.
    Returns:
      the value of the `headers` record component

  - ### allowCredentials

    public boolean allowCredentials()
    Returns the value of the `allowCredentials` record component.
    Returns:
      the value of the `allowCredentials` record component

  - ### maxAge

    public long maxAge()
    Returns the value of the `maxAge` record component.
    Returns:
      the value of the `maxAge` record component